ClusterMessageBase (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.ha, class: ClusterMessageBase

# Class ClusterMessageBase

java.lang.Object
org.apache.catalina.ha.ClusterMessageBase

All Implemented Interfaces:
  `Serializable, ClusterMessage`

Direct Known Subclasses:
  `FileMessage, SessionMessageImpl`

public abstract class ClusterMessageBase extends Object implements ClusterMessage
Base implementation of `ClusterMessage` providing common fields and methods for cluster messages.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Member`
  `address`
  The member associated with this message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterMessageBase()`
  Default constructor for ClusterMessageBase.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Member`
  `getAddress()`
  Returns the member associated with this message.
  `long`
  `getTimestamp()`
  Returns the timestamp of this message.
  `void`
  `setAddress(Member member)`
  Set the member associated with the message.
  `void`
  `setTimestamp(long timestamp)`
  Set the timestamp for this message.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ClusterMessage

  `getUniqueId`

- ## Field Details

  - ### address

    protected transient Member address
    The member associated with this message.

- ## Constructor Details

  - ### ClusterMessageBase

    public ClusterMessageBase()
    Default constructor for ClusterMessageBase.

- ## Method Details

  - ### getAddress

    public Member getAddress()
    Description copied from interface: `ClusterMessage`
    Returns the member associated with this message.
    Specified by:
      `getAddress` in interface `ClusterMessage`
    Returns:
      the member address

  - ### getTimestamp

    public long getTimestamp()
    Description copied from interface: `ClusterMessage`
    Returns the timestamp of this message.
    Specified by:
      `getTimestamp` in interface `ClusterMessage`
    Returns:
      the timestamp in milliseconds

  - ### setAddress

    public void setAddress(Member member)
    Description copied from interface: `ClusterMessage`
    Set the member associated with the message.
    Specified by:
      `setAddress` in interface `ClusterMessage`
    Parameters:
      `member` - the member

  - ### setTimestamp

    public void setTimestamp(long timestamp)
    Description copied from interface: `ClusterMessage`
    Set the timestamp for this message.
    Specified by:
      `setTimestamp` in interface `ClusterMessage`
    Parameters:
      `timestamp` - the timestamp